#!/bin/bash
echo .out DATOS.SQL > ./GEN_DATOS.SQL
sqlite3 ./DATOS.DB "SELECT DISTINCT '.mode insert '|| tbl_name || x'0A' || 'SELECT * FROM ' || tbl_name || ';' AS Tablas FROM sqlite_master WHERE tbl_name NOT IN ('ESTRUCTURA_BD', 'Autorizaciones', 'ArticulosCM', 'ClasesCM', 'CxCMaDocumCM', 'DeFacturasCM', 'MaFacturasCM', 'SCADSupervisor', 'TableroComm', 'TableroConfFormularios', 'TableroSurtidores', 'TableroTelefonico', 'TableroTareas', 'TableroOrdenes') ORDER BY 1" >> ./GEN_DATOS.SQL
sqlite3 ./DATOS.DB < ./GEN_DATOS.SQL 
sqlite3 ../SCAD.DB < ./DATOS.SQL 2> ./ERRORES_IMPORTACION.TXT
rm ./GEN_DATOS.SQL
rm ./DATOS.SQL
